From 9e0db90ab2fbe8dc36fad53b31eb928b34465e64 Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Wed, 31 Dec 2014 06:52:16 +0100
Subject: [PATCH] kernel/mbuf: MB_* -> M_* unification

---
 share/man/man9/mbuf.9                              |  16 +--
 sys/bus/firewire/fwohci.c                          |   2 +-
 sys/bus/u4b/net/if_axe.c                           |   2 +-
 sys/bus/u4b/net/usb_ethernet.c                     |   2 +-
 sys/bus/u4b/wlan/if_run.c                          |   4 +-
 sys/bus/u4b/wlan/if_urtwn.c                        |   2 +-
 sys/dev/crypto/hifn/hifn7751.c                     |  12 +-
 sys/dev/crypto/safe/safe.c                         |  12 +-
 sys/dev/crypto/ubsec/ubsec.c                       |  12 +-
 sys/dev/disk/iscsi/initiator/isc_soc.c             |   6 +-
 sys/dev/misc/musycc/musycc.c                       |  10 +-
 sys/dev/netif/acx/if_acx.c                         |   4 +-
 sys/dev/netif/age/if_age.c                         |   4 +-
 sys/dev/netif/alc/if_alc.c                         |   4 +-
 sys/dev/netif/ale/if_ale.c                         |   2 +-
 sys/dev/netif/an/if_an.c                           |   4 +-
 sys/dev/netif/ar/if_ar.c                           |   2 +-
 sys/dev/netif/ath/ath/if_ath_rx.c                  |   2 +-
 sys/dev/netif/ath/ath/if_ath_rx_edma.c             |   6 +-
 sys/dev/netif/bce/if_bce.c                         |   2 +-
 sys/dev/netif/bfe/if_bfe.c                         |   2 +-
 sys/dev/netif/bge/if_bge.c                         |   8 +-
 sys/dev/netif/bnx/if_bnx.c                         |   8 +-
 sys/dev/netif/bwi/if_bwi.c                         |   6 +-
 sys/dev/netif/cs/if_cs.c                           |   4 +-
 sys/dev/netif/dc/if_dc.c                           |   4 +-
 sys/dev/netif/de/if_de.c                           |  10 +-
 sys/dev/netif/ed/if_ed.c                           |   2 +-
 sys/dev/netif/em/if_em.c                           |   2 +-
 sys/dev/netif/emx/if_emx.c                         |   2 +-
 sys/dev/netif/ep/if_ep.c                           |   4 +-
 sys/dev/netif/et/if_et.c                           |   5 +-
 sys/dev/netif/ex/if_ex.c                           |   7 +-
 sys/dev/netif/fe/if_fe.c                           |   4 +-
 sys/dev/netif/fwe/if_fwe.c                         |   6 +-
 sys/dev/netif/fxp/if_fxp.c                         |   4 +-
 sys/dev/netif/igb/if_igb.c                         |   2 +-
 sys/dev/netif/iwi/if_iwi.c                         |   6 +-
 sys/dev/netif/iwl/iwl2100.c                        |   8 +-
 sys/dev/netif/iwn/if_iwn.c                         |   8 +-
 sys/dev/netif/ix/if_ix.c                           |   4 +-
 sys/dev/netif/jme/if_jme.c                         |   2 +-
 sys/dev/netif/lge/if_lge.c                         |   4 +-
 sys/dev/netif/lnc/lance.c                          |   3 +-
 sys/dev/netif/mn/if_mn.c                           |  14 +--
 sys/dev/netif/msk/if_msk.c                         |   6 +-
 sys/dev/netif/mxge/if_mxge.c                       |   8 +-
 sys/dev/netif/my/if_my.c                           |   8 +-
 sys/dev/netif/ndis/if_ndis.c                       |   6 +-
 sys/dev/netif/nfe/if_nfe.c                         |   4 +-
 sys/dev/netif/nge/if_nge.c                         |   4 +-
 sys/dev/netif/pcn/if_pcn.c                         |   6 +-
 sys/dev/netif/ral/rt2560.c                         |   6 +-
 sys/dev/netif/ral/rt2661.c                         |   6 +-
 sys/dev/netif/re/if_re.c                           |   6 +-
 sys/dev/netif/rl/if_rl.c                           |   2 +-
 sys/dev/netif/rtw/rtw.c                            |   4 +-
 sys/dev/netif/sbni/if_sbni.c                       |   4 +-
 sys/dev/netif/sbsh/if_sbsh.c                       |   8 +-
 sys/dev/netif/sf/if_sf.c                           |   6 +-
 sys/dev/netif/sis/if_sis.c                         |   2 +-
 sys/dev/netif/sk/if_sk.c                           |   4 +-
 sys/dev/netif/sln/if_sln.c                         |   4 +-
 sys/dev/netif/sn/if_sn.c                           |   4 +-
 sys/dev/netif/sr/if_sr.c                           |   4 +-
 sys/dev/netif/ste/if_ste.c                         |   8 +-
 sys/dev/netif/stge/if_stge.c                       |   4 +-
 sys/dev/netif/ti/if_ti.c                           |   6 +-
 sys/dev/netif/tl/if_tl.c                           |   4 +-
 sys/dev/netif/tx/if_tx.c                           |   8 +-
 sys/dev/netif/txp/if_txp.c                         |  14 +--
 sys/dev/netif/vge/if_vge.c                         |   4 +-
 sys/dev/netif/vr/if_vr.c                           |   2 +-
 sys/dev/netif/vx/if_vx.c                           |  10 +-
 sys/dev/netif/wb/if_wb.c                           |   6 +-
 sys/dev/netif/wi/if_wi.c                           |   4 +-
 sys/dev/netif/wpi/if_wpi.c                         |   8 +-
 sys/dev/netif/xe/if_xe.c                           |   4 +-
 sys/dev/netif/xl/if_xl.c                           |   2 +-
 sys/dev/virtual/virtio/net/if_vtnet.c              |  12 +-
 sys/dev/virtual/vkernel/net/if_vke.c               |   5 +-
 sys/emulation/43bsd/43bsd_socket.c                 |   4 +-
 sys/emulation/linux/linux_socket.c                 |   2 +-
 sys/emulation/ndis/kern_ndis.c                     |   4 +-
 sys/kern/libmchain/subr_mchain.c                   |  10 +-
 sys/kern/subr_busdma.c                             |   2 +-
 sys/kern/uipc_mbuf.c                               |  36 +++---
 sys/kern/uipc_mbuf2.c                              |   7 +-
 sys/kern/uipc_sockbuf.c                            |   5 +-
 sys/kern/uipc_socket.c                             |  21 ++--
 sys/kern/uipc_socket2.c                            |   3 +-
 sys/kern/uipc_syscalls.c                           |   4 +-
 sys/kern/uipc_usrreq.c                             |   2 +-
 sys/net/bpf.c                                      |   2 +-
 sys/net/bridge/bridgestp.c                         |   4 +-
 sys/net/bridge/if_bridge.c                         |  20 ++--
 sys/net/bsd_comp.c                                 |  16 +--
 sys/net/gre/if_gre.c                               |   4 +-
 sys/net/if_ethersubr.c                             |   8 +-
 sys/net/if_loop.c                                  |   2 +-
 sys/net/ip6fw/ip6_fw.c                             |   8 +-
 sys/net/ip_mroute/ip_mroute.c                      |  16 +--
 sys/net/ipfw/ip_fw2.c                              |   8 +-
 sys/net/pf/pf.c                                    |   6 +-
 sys/net/pf/pf_norm.c                               |   2 +-
 sys/net/ppp/if_ppp.c                               |   8 +-
 sys/net/ppp_layer/ppp_deflate.c                    |  16 +--
 sys/net/ppp_layer/ppp_tty.c                        |  11 +-
 sys/net/raw_cb.c                                   |   3 +-
 sys/net/raw_usrreq.c                               |   3 +-
 sys/net/route.c                                    |   2 +-
 sys/net/rtsock.c                                   |   6 +-
 sys/net/sl/if_sl.c                                 |   5 +-
 sys/net/sppp/if_spppsubr.c                         |  10 +-
 sys/net/stf/if_stf.c                               |   3 +-
 sys/net/tap/if_tap.c                               |   4 +-
 sys/net/tun/if_tun.c                               |   8 +-
 sys/net/vlan/if_vlan_ether.c                       |   4 +-
 sys/netbt/hci_link.c                               |   5 +-
 sys/netbt/hci_socket.c                             |   4 +-
 sys/netbt/hci_unit.c                               |   3 +-
 sys/netbt/l2cap_signal.c                           |   3 +-
 sys/netbt/l2cap_socket.c                           |   4 +-
 sys/netbt/l2cap_upper.c                            |   2 +-
 sys/netbt/rfcomm_dlc.c                             |   3 +-
 sys/netbt/rfcomm_session.c                         |   7 +-
 sys/netbt/rfcomm_socket.c                          |   2 +-
 sys/netbt/sco_socket.c                             |   4 +-
 sys/netbt/sco_upper.c                              |   2 +-
 sys/netgraph/UI/ng_UI.c                            |   2 +-
 sys/netgraph/cisco/ng_cisco.c                      |   4 +-
 sys/netgraph/frame_relay/ng_frame_relay.c          |   2 +-
 sys/netgraph/l2tp/ng_l2tp.c                        |  14 +--
 sys/netgraph/lmi/ng_lmi.c                          |   2 +-
 sys/netgraph/ppp/ng_ppp.c                          |   4 +-
 sys/netgraph/pppoe/ng_pppoe.c                      |  16 +--
 sys/netgraph/pptpgre/ng_pptpgre.c                  |   4 +-
 sys/netgraph/rfc1490/ng_rfc1490.c                  |   4 +-
 sys/netgraph/tty/ng_tty.c                          |   2 +-
 sys/netgraph/vjc/ng_vjc.c                          |   4 +-
 sys/netgraph7/UI/ng_UI.c                           |   2 +-
 .../bluetooth/drivers/bt3c/ng_bt3c_pccard.c        |   4 +-
 sys/netgraph7/bluetooth/drivers/h4/ng_h4.c         |   2 +-
 sys/netgraph7/bluetooth/drivers/ubt/ng_ubt.c       |  12 +-
 sys/netgraph7/bluetooth/hci/ng_hci_cmds.c          |   2 +-
 sys/netgraph7/bluetooth/hci/ng_hci_evnt.c          |   2 +-
 sys/netgraph7/bluetooth/hci/ng_hci_misc.c          |   2 +-
 sys/netgraph7/bluetooth/hci/ng_hci_ulpi.c          |  10 +-
 sys/netgraph7/bluetooth/l2cap/ng_l2cap_cmds.h      |  22 ++--
 sys/netgraph7/bluetooth/l2cap/ng_l2cap_evnt.c      |   2 +-
 sys/netgraph7/bluetooth/l2cap/ng_l2cap_llpi.c      |   2 +-
 sys/netgraph7/bluetooth/l2cap/ng_l2cap_misc.c      |   2 +-
 .../bluetooth/socket/ng_btsocket_hci_raw.c         |   6 +-
 sys/netgraph7/bluetooth/socket/ng_btsocket_l2cap.c |   6 +-
 .../bluetooth/socket/ng_btsocket_rfcomm.c          |  14 +--
 sys/netgraph7/bridge/ng_bridge.c                   |   2 +-
 sys/netgraph7/cisco/ng_cisco.c                     |   4 +-
 sys/netgraph7/frame_relay/ng_frame_relay.c         |   3 +-
 sys/netgraph7/hub/ng_hub.c                         |   3 +-
 sys/netgraph7/iface/ng_iface.c                     |   2 +-
 sys/netgraph7/ksocket/ng_ksocket.c                 |   4 +-
 sys/netgraph7/l2tp/ng_l2tp.c                       |  15 ++-
 sys/netgraph7/lmi/ng_lmi.c                         |   4 +-
 sys/netgraph7/mppc/ng_mppc.c                       |   7 +-
 sys/netgraph7/netflow/netflow.c                    |   2 +-
 sys/netgraph7/ng_device.c                          |   2 +-
 sys/netgraph7/ng_gif.c                             |   3 +-
 sys/netgraph7/ng_gif_demux.c                       |   2 +-
 sys/netgraph7/ng_ipfw.c                            |   4 +-
 sys/netgraph7/ng_source.c                          |   4 +-
 sys/netgraph7/ng_tag.c                             |   3 +-
 sys/netgraph7/ng_vlan.c                            |   2 +-
 sys/netgraph7/one2many/ng_one2many.c               |   3 +-
 sys/netgraph7/ppp/ng_ppp.c                         |   6 +-
 sys/netgraph7/pppoe/ng_pppoe.c                     |  20 ++--
 sys/netgraph7/pptpgre/ng_pptpgre.c                 |   5 +-
 sys/netgraph7/rfc1490/ng_rfc1490.c                 |  10 +-
 sys/netgraph7/tee/ng_tee.c                         |   3 +-
 sys/netgraph7/tty/ng_tty.c                         |   2 +-
 sys/netgraph7/vjc/ng_vjc.c                         |   4 +-
 sys/netinet/if_ether.c                             |   2 +-
 sys/netinet/igmp.c                                 |   4 +-
 sys/netinet/in_gif.c                               |   3 +-
 sys/netinet/ip_carp.c                              |   8 +-
 sys/netinet/ip_divert.c                            |   6 +-
 sys/netinet/ip_encap.c                             |   2 +-
 sys/netinet/ip_icmp.c                              |   4 +-
 sys/netinet/ip_input.c                             |  10 +-
 sys/netinet/ip_output.c                            |  11 +-
 sys/netinet/raw_ip.c                               |   4 +-
 sys/netinet/sctp_asconf.c                          |  12 +-
 sys/netinet/sctp_indata.c                          |  56 ++++-----
 sys/netinet/sctp_input.c                           |  14 +--
 sys/netinet/sctp_output.c                          | 130 +++++++++++----------
 sys/netinet/sctp_pcb.c                             |   4 +-
 sys/netinet/sctp_timer.c                           |   4 +-
 sys/netinet/sctp_usrreq.c                          |   8 +-
 sys/netinet/sctputil.c                             |  24 ++--
 sys/netinet/tcp_output.c                           |   6 +-
 sys/netinet/tcp_subr.c                             |   4 +-
 sys/netinet/tcp_syncache.c                         |   2 +-
 sys/netinet/udp_usrreq.c                           |   6 +-
 sys/netinet6/ah_core.c                             |   8 +-
 sys/netinet6/ah_input.c                            |   4 +-
 sys/netinet6/ah_output.c                           |   5 +-
 sys/netinet6/esp_core.c                            |   4 +-
 sys/netinet6/esp_input.c                           |   4 +-
 sys/netinet6/esp_output.c                          |   6 +-
 sys/netinet6/frag6.c                               |   3 +-
 sys/netinet6/icmp6.c                               |  26 ++---
 sys/netinet6/in6_gif.c                             |   2 +-
 sys/netinet6/ip6_input.c                           |   6 +-
 sys/netinet6/ip6_mroute.c                          |   3 +-
 sys/netinet6/ip6_output.c                          |  22 ++--
 sys/netinet6/ipcomp_core.c                         |   3 +-
 sys/netinet6/ipcomp_output.c                       |   6 +-
 sys/netinet6/ipsec.c                               |  20 ++--
 sys/netinet6/mld6.c                                |   5 +-
 sys/netinet6/nd6_nbr.c                             |   4 +-
 sys/netinet6/raw_ip6.c                             |   2 +-
 sys/netinet6/udp6_output.c                         |   2 +-
 sys/netproto/802_11/wlan/ieee80211_dragonfly.c     |   8 +-
 sys/netproto/802_11/wlan/ieee80211_hostap.c        |   4 +-
 sys/netproto/802_11/wlan/ieee80211_ht.c            |   2 +-
 sys/netproto/802_11/wlan/ieee80211_hwmp.c          |   2 +-
 sys/netproto/802_11/wlan/ieee80211_input.c         |   2 +-
 sys/netproto/802_11/wlan/ieee80211_mesh.c          |   2 +-
 sys/netproto/802_11/wlan/ieee80211_output.c        |  24 ++--
 sys/netproto/802_11/wlan/ieee80211_superg.c        |   8 +-
 sys/netproto/802_11/wlan/ieee80211_wds.c           |   2 +-
 .../802_11/wlan_ccmp/ieee80211_crypto_ccmp.c       |   2 +-
 .../802_11/wlan_tkip/ieee80211_crypto_tkip.c       |   2 +-
 .../802_11/wlan_wep/ieee80211_crypto_wep.c         |   2 +-
 sys/netproto/ipsec/ipsec_input.c                   |   5 +-
 sys/netproto/ipsec/ipsec_mbuf.c                    |  14 +--
 sys/netproto/ipsec/ipsec_output.c                  |   7 +-
 sys/netproto/ipsec/key.c                           |  32 ++---
 sys/netproto/ipsec/keysock.c                       |   4 +-
 sys/netproto/ipsec/xform_ipip.c                    |   4 +-
 sys/netproto/key/key.c                             |  44 +++----
 sys/netproto/key/keysock.c                         |   8 +-
 sys/netproto/mpls/mpls_output.c                    |   4 +-
 sys/netproto/smb/smb_iod.c                         |   2 +-
 sys/netproto/smb/smb_rq.c                          |   2 +-
 sys/netproto/smb/smb_trantcp.c                     |   2 +-
 sys/sys/mbuf.h                                     |  17 +--
 sys/vfs/nfs/krpc_subr.c                            |   8 +-
 sys/vfs/nfs/nfs_mountrpc.c                         |   2 +-
 sys/vfs/nfs/nfs_serv.c                             |   4 +-
 sys/vfs/nfs/nfs_socket.c                           |  26 ++---
 sys/vfs/nfs/nfs_srvcache.c                         |   4 +-
 sys/vfs/nfs/nfs_syscalls.c                         |   6 +-
 sys/vfs/nfs/nfsm_subs.c                            |  29 ++---
 tools/tools/netrate/pktgen/pktgen.c                |   8 +-
 254 files changed, 868 insertions(+), 910 deletions(-)

diff --git a/sys/bus/firewire/fwohci.c b/sys/bus/firewire/fwohci.c
index 778ee65..c1896ed 100644
--- a/sys/bus/firewire/fwohci.c
+++ b/sys/bus/firewire/fwohci.c
@@ -931,7 +931,7 @@ again:
 
 				if (firewire_debug)
 					device_printf(sc->fc.dev, "EFBIG.\n");
-				m0 = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+				m0 = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 				if (m0 != NULL) {
 					m_copydata(xfer->mbuf, 0,
 						xfer->mbuf->m_pkthdr.len,
diff --git a/sys/bus/u4b/net/if_axe.c b/sys/bus/u4b/net/if_axe.c
index 070bc24..dd2d991 100644
--- a/sys/bus/u4b/net/if_axe.c
+++ b/sys/bus/u4b/net/if_axe.c
@@ -1118,7 +1118,7 @@ axe_rxeof(struct usb_ether *ue, struct usb_page_cache *pc, unsigned int offset,
 		return (EINVAL);
 	}
 
-	m = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL) {
 		IFNET_STAT_INC(ifp, iqdrops, 1);
 		return (ENOMEM);
diff --git a/sys/bus/u4b/net/usb_ethernet.c b/sys/bus/u4b/net/usb_ethernet.c
index be4823e..ee16703 100644
--- a/sys/bus/u4b/net/usb_ethernet.c
+++ b/sys/bus/u4b/net/usb_ethernet.c
@@ -548,7 +548,7 @@ uether_newbuf(void)
 {
 	struct mbuf *m_new;
 
-	m_new = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m_new = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m_new == NULL)
 		return (NULL);
 	m_new->m_len = m_new->m_pkthdr.len = MCLBYTES;
diff --git a/sys/bus/u4b/wlan/if_run.c b/sys/bus/u4b/wlan/if_run.c
index cb48f62..c61660f 100644
--- a/sys/bus/u4b/wlan/if_run.c
+++ b/sys/bus/u4b/wlan/if_run.c
@@ -2926,7 +2926,7 @@ run_bulk_rx_callback(struct usb_xfer *xfer, usb_error_t error)
 	case USB_ST_SETUP:
 tr_setup:
 		if (sc->rx_m == NULL) {
-			sc->rx_m = m_getjcl(MB_DONTWAIT, MT_DATA, M_PKTHDR,
+			sc->rx_m = m_getjcl(M_NOWAIT, MT_DATA, M_PKTHDR,
 			    MJUMPAGESIZE /* xfer can be bigger than MCLBYTES */);
 		}
 		if (sc->rx_m == NULL) {
@@ -3001,7 +3001,7 @@ tr_setup:
 		}
 
 		/* copy aggregated frames to another mbuf */
-		m0 = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		m0 = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (__predict_false(m0 == NULL)) {
 			DPRINTF("could not allocate mbuf\n");
 			ifp->if_ierrors++;
diff --git a/sys/bus/u4b/wlan/if_urtwn.c b/sys/bus/u4b/wlan/if_urtwn.c
index 36985c8..f605380 100644
--- a/sys/bus/u4b/wlan/if_urtwn.c
+++ b/sys/bus/u4b/wlan/if_urtwn.c
@@ -677,7 +677,7 @@ urtwn_rx_frame(struct urtwn_softc *sc, uint8_t *buf, int pktlen, int *rssi_p)
 		rssi = URTWN_RSSI(rssi);
 	}
 
-	m = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL) {
 		device_printf(sc->sc_dev, "could not create RX mbuf\n");
 		return (NULL);
diff --git a/sys/dev/crypto/hifn/hifn7751.c b/sys/dev/crypto/hifn/hifn7751.c
index 4379561..766e352 100644
--- a/sys/dev/crypto/hifn/hifn7751.c
+++ b/sys/dev/crypto/hifn/hifn7751.c
@@ -1919,14 +1919,14 @@ hifn_crypto(
 			totlen = cmd->src_mapsize;
 			if (cmd->src_m->m_flags & M_PKTHDR) {
 				len = MHLEN;
-				MGETHDR(m0, MB_DONTWAIT, MT_DATA);
-				if (m0 && !m_dup_pkthdr(m0, cmd->src_m, MB_DONTWAIT)) {
+				MGETHDR(m0, M_NOWAIT, MT_DATA);
+				if (m0 && !m_dup_pkthdr(m0, cmd->src_m, M_NOWAIT)) {
 					m_free(m0);
 					m0 = NULL;
 				}
 			} else {
 				len = MLEN;
-				MGET(m0, MB_DONTWAIT, MT_DATA);
+				MGET(m0, M_NOWAIT, MT_DATA);
 			}
 			if (m0 == NULL) {
 				hifnstats.hst_nomem_mbuf++;
@@ -1934,7 +1934,7 @@ hifn_crypto(
 				goto err_srcmap;
 			}
 			if (totlen >= MINCLSIZE) {
-				MCLGET(m0, MB_DONTWAIT);
+				MCLGET(m0, M_NOWAIT);
 				if ((m0->m_flags & M_EXT) == 0) {
 					hifnstats.hst_nomem_mcl++;
 					err = dma->cmdu ? ERESTART : ENOMEM;
@@ -1948,7 +1948,7 @@ hifn_crypto(
 			mlast = m0;
 
 			while (totlen > 0) {
-				MGET(m, MB_DONTWAIT, MT_DATA);
+				MGET(m, M_NOWAIT, MT_DATA);
 				if (m == NULL) {
 					hifnstats.hst_nomem_mbuf++;
 					err = dma->cmdu ? ERESTART : ENOMEM;
@@ -1957,7 +1957,7 @@ hifn_crypto(
 				}
 				len = MLEN;
 				if (totlen >= MINCLSIZE) {
-					MCLGET(m, MB_DONTWAIT);
+					MCLGET(m, M_NOWAIT);
 					if ((m->m_flags & M_EXT) == 0) {
 						hifnstats.hst_nomem_mcl++;
 						err = dma->cmdu ? ERESTART : ENOMEM;
diff --git a/sys/dev/crypto/safe/safe.c b/sys/dev/crypto/safe/safe.c
index 7eef940..8a0bb43 100644
--- a/sys/dev/crypto/safe/safe.c
+++ b/sys/dev/crypto/safe/safe.c
@@ -1321,15 +1321,15 @@ safe_process(device_t dev, struct cryptop *crp, int hint)
 				totlen = re->re_src_mapsize;
 				if (re->re_src_m->m_flags & M_PKTHDR) {
 					len = MHLEN;
-					MGETHDR(m, MB_DONTWAIT, MT_DATA);
+					MGETHDR(m, M_NOWAIT, MT_DATA);
 					if (m && !m_dup_pkthdr(m, re->re_src_m,
-					    MB_DONTWAIT)) {
+					    M_NOWAIT)) {
 						m_free(m);
 						m = NULL;
 					}
 				} else {
 					len = MLEN;
-					MGET(m, MB_DONTWAIT, MT_DATA);
+					MGET(m, M_NOWAIT, MT_DATA);
 				}
 				if (m == NULL) {
 					safestats.st_nombuf++;
@@ -1337,7 +1337,7 @@ safe_process(device_t dev, struct cryptop *crp, int hint)
 					goto errout;
 				}
 				if (totlen >= MINCLSIZE) {
-					MCLGET(m, MB_DONTWAIT);
+					MCLGET(m, M_NOWAIT);
 					if ((m->m_flags & M_EXT) == 0) {
 						m_free(m);
 						safestats.st_nomcl++;
@@ -1353,7 +1353,7 @@ safe_process(device_t dev, struct cryptop *crp, int hint)
 
 				while (totlen > 0) {
 					if (top) {
-						MGET(m, MB_DONTWAIT, MT_DATA);
+						MGET(m, M_NOWAIT, MT_DATA);
 						if (m == NULL) {
 							m_freem(top);
 							safestats.st_nombuf++;
@@ -1364,7 +1364,7 @@ safe_process(device_t dev, struct cryptop *crp, int hint)
 						len = MLEN;
 					}
 					if (top && totlen >= MINCLSIZE) {
-						MCLGET(m, MB_DONTWAIT);
+						MCLGET(m, M_NOWAIT);
 						if ((m->m_flags & M_EXT) == 0) {
 							*mp = m;
 							m_freem(top);
diff --git a/sys/dev/crypto/ubsec/ubsec.c b/sys/dev/crypto/ubsec/ubsec.c
index acdcafe..7922c1a 100644
--- a/sys/dev/crypto/ubsec/ubsec.c
+++ b/sys/dev/crypto/ubsec/ubsec.c
@@ -1356,14 +1356,14 @@ ubsec_process(device_t dev, struct cryptop *crp, int hint)
 				totlen = q->q_src_mapsize;
 				if (q->q_src_m->m_flags & M_PKTHDR) {
 					len = MHLEN;
-					MGETHDR(m, MB_DONTWAIT, MT_DATA);
-					if (m && !m_dup_pkthdr(m, q->q_src_m, MB_DONTWAIT)) {
+					MGETHDR(m, M_NOWAIT, MT_DATA);
+					if (m && !m_dup_pkthdr(m, q->q_src_m, M_NOWAIT)) {
 						m_free(m);
 						m = NULL;
 					}
 				} else {
 					len = MLEN;
-					MGET(m, MB_DONTWAIT, MT_DATA);
+					MGET(m, M_NOWAIT, MT_DATA);
 				}
 				if (m == NULL) {
 					ubsecstats.hst_nombuf++;
@@ -1371,7 +1371,7 @@ ubsec_process(device_t dev, struct cryptop *crp, int hint)
 					goto errout;
 				}
 				if (totlen >= MINCLSIZE) {
-					MCLGET(m, MB_DONTWAIT);
+					MCLGET(m, M_NOWAIT);
 					if ((m->m_flags & M_EXT) == 0) {
 						m_free(m);
 						ubsecstats.hst_nomcl++;
@@ -1386,7 +1386,7 @@ ubsec_process(device_t dev, struct cryptop *crp, int hint)
 
 				while (totlen > 0) {
 					if (top) {
-						MGET(m, MB_DONTWAIT, MT_DATA);
+						MGET(m, M_NOWAIT, MT_DATA);
 						if (m == NULL) {
 							m_freem(top);
 							ubsecstats.hst_nombuf++;
@@ -1396,7 +1396,7 @@ ubsec_process(device_t dev, struct cryptop *crp, int hint)
 						len = MLEN;
 					}
 					if (top && totlen >= MINCLSIZE) {
-						MCLGET(m, MB_DONTWAIT);
+						MCLGET(m, M_NOWAIT);
 						if ((m->m_flags & M_EXT) == 0) {
 							*mp = m;
 							m_freem(top);
diff --git a/sys/dev/disk/iscsi/initiator/isc_soc.c b/sys/dev/disk/iscsi/initiator/isc_soc.c
index 0225c4f..5350fbc 100644
--- a/sys/dev/disk/iscsi/initiator/isc_soc.c
+++ b/sys/dev/disk/iscsi/initiator/isc_soc.c
@@ -112,7 +112,7 @@ isc_sendPDU(isc_session_t *sp, pduq_t *pq)
      /*
       | mbuf for the iSCSI header
       */
-     MGETHDR(mh, MB_TRYWAIT, MT_DATA);
+     MGETHDR(mh, M_WAITOK, MT_DATA);
      mh->m_len = mh->m_pkthdr.len = sizeof(union ipdu_u);
      mh->m_pkthdr.rcvif = NULL;
      MH_ALIGN(mh, sizeof(union ipdu_u));
@@ -154,7 +154,7 @@ isc_sendPDU(isc_session_t *sp, pduq_t *pq)
           while(len > 0) {
                 int       l;
 
-	       MGET(md, MB_TRYWAIT, MT_DATA);
+	       MGET(md, M_WAITOK, MT_DATA);
 	       pq->refcnt++;
 
                 l = min(MCLBYTES, len);
@@ -180,7 +180,7 @@ isc_sendPDU(isc_session_t *sp, pduq_t *pq)
 
 	  pp->ds_dig = sp->dataDigest(pp->ds, pp->ds_len, 0);
 
-	  MGET(me, MB_TRYWAIT, MT_DATA);
+	  MGET(me, M_WAITOK, MT_DATA);
           me->m_len = sizeof(int);
           MH_ALIGN(mh, sizeof(int));
           bcopy(&pp->ds_dig, me->m_data, sizeof(int));
diff --git a/sys/dev/misc/musycc/musycc.c b/sys/dev/misc/musycc/musycc.c
index 2a1210e..9be6b01 100644
--- a/sys/dev/misc/musycc/musycc.c
+++ b/sys/dev/misc/musycc/musycc.c
@@ -695,9 +695,9 @@ musycc_intr0_rx_eom(struct softc *sc, int ch)
 		m->m_len = m->m_pkthdr.len = status & 0x3fff;
 		error = (status >> 16) & 0xf;
 		if (error == 0) {
-			MGETHDR(m2, MB_DONTWAIT, MT_DATA);
+			MGETHDR(m2, M_NOWAIT, MT_DATA);
 			if (m2 != NULL) {
-				MCLGET(m2, MB_DONTWAIT);
+				MCLGET(m2, M_NOWAIT);
 				if((m2->m_flags & M_EXT) != 0) {
 					/* Substitute the mbuf+cluster. */
 					md->m = m2;
@@ -1278,13 +1278,13 @@ musycc_connect(hook_p hook)
 		sc->mdt[ch][i].m = NULL;
 		sc->mdt[ch][i].data = 0;
 
-		MGETHDR(m, MB_WAIT, MT_DATA);
+		MGETHDR(m, M_WAITOK, MT_DATA);
 		if (m == NULL)
 			goto errfree;
-		MCLGET(m, MB_WAIT);
+		MCLGET(m, M_WAITOK);
 		if ((m->m_flags & M_EXT) == 0) {
 			/* We've waited mbuf_wait and still got nothing.
-			   We're calling with MB_TRYWAIT anyway - a little
+			   We're calling with MB_WAITOK anyway - a little
 			   defensive programming costs us very little - if
 			   anything at all in the case of error. */
 			m_free(m);
diff --git a/sys/dev/netif/acx/if_acx.c b/sys/dev/netif/acx/if_acx.c
index a28db9c..9bda40b 100644
--- a/sys/dev/netif/acx/if_acx.c
+++ b/sys/dev/netif/acx/if_acx.c
@@ -2336,7 +2336,7 @@ acx_newbuf(struct acx_softc *sc, struct acx_rxbuf *rb, int wait)
 
 	bd = &sc->sc_buf_data;
 
-	m = m_getcl(wait ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(wait ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL)
 		return ENOBUFS;
 
@@ -2401,7 +2401,7 @@ acx_encap(struct acx_softc *sc, struct acx_txbuf *txbuf, struct mbuf *m,
 	if (error) {	/* error == EFBIG */
 		struct mbuf *m_new;
 
-		m_new = m_defrag(m, MB_DONTWAIT);
+		m_new = m_defrag(m, M_NOWAIT);
 		if (m_new == NULL) {
 			if_printf(&sc->sc_ic.ic_if, "can't defrag tx mbuf\n");
 			error = ENOBUFS;
diff --git a/sys/dev/netif/age/if_age.c b/sys/dev/netif/age/if_age.c
index 22ab8af..0f8fb80 100644
--- a/sys/dev/netif/age/if_age.c
+++ b/sys/dev/netif/age/if_age.c
@@ -1467,7 +1467,7 @@ age_encap(struct age_softc *sc, struct mbuf **m_head)
 		error = EFBIG;
 	}
 	if (error == EFBIG) {
-		m = m_defrag(*m_head, MB_DONTWAIT);
+		m = m_defrag(*m_head, M_NOWAIT);
 		if (m == NULL) {
 			m_freem(*m_head);
 			*m_head = NULL;
@@ -2747,7 +2747,7 @@ age_newbuf(struct age_softc *sc, struct age_rxdesc *rxd, int init)
 	bus_dmamap_t map;
 	int error;
 
-	m = m_getcl(init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL)
 		return (ENOBUFS);
 
diff --git a/sys/dev/netif/alc/if_alc.c b/sys/dev/netif/alc/if_alc.c
index b5a8148..7b8434f 100644
--- a/sys/dev/netif/alc/if_alc.c
+++ b/sys/dev/netif/alc/if_alc.c
@@ -1972,7 +1972,7 @@ alc_encap(struct alc_softc *sc, struct mbuf **m_head)
 
 		if (M_WRITABLE(m) == 0) {
 			/* Get a writable copy. */
-			m = m_dup(*m_head, MB_DONTWAIT);
+			m = m_dup(*m_head, M_NOWAIT);
 			/* Release original mbufs. */
 			m_freem(*m_head);
 			if (m == NULL) {
@@ -2652,7 +2652,7 @@ alc_newbuf(struct alc_softc *sc, struct alc_rxdesc *rxd, boolean_t wait)
 	int nsegs;
 	int error;
 
-	m = m_getcl(wait ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(wait ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL)
 		return (ENOBUFS);
 	m->m_len = m->m_pkthdr.len = MCLBYTES;
diff --git a/sys/dev/netif/ale/if_ale.c b/sys/dev/netif/ale/if_ale.c
index e74b433..d324cbd 100644
--- a/sys/dev/netif/ale/if_ale.c
+++ b/sys/dev/netif/ale/if_ale.c
@@ -1540,7 +1540,7 @@ ale_encap(struct ale_softc *sc, struct mbuf **m_head)
 				      *m_head, ale_dmamap_buf_cb, &ctx,
 				      BUS_DMA_NOWAIT);
 	if (error == EFBIG) {
-		m = m_defrag(*m_head, MB_DONTWAIT);
+		m = m_defrag(*m_head, M_NOWAIT);
 		if (m == NULL) {
 			m_freem(*m_head);
 			*m_head = NULL;
diff --git a/sys/dev/netif/an/if_an.c b/sys/dev/netif/an/if_an.c
index fec76f1..aaba2dd 100644
--- a/sys/dev/netif/an/if_an.c
+++ b/sys/dev/netif/an/if_an.c
@@ -892,7 +892,7 @@ an_rxeof(struct an_softc *sc)
 			}
 			BPF_TAP(ifp, bpf_buf, len);
 		} else {
-			m = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+			m = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 			if (m == NULL) {
 				IFNET_STAT_INC(ifp, ierrors, 1);
 				return;
@@ -970,7 +970,7 @@ an_rxeof(struct an_softc *sc)
 			if (an_rx_desc.an_done && !an_rx_desc.an_valid) {
 				buf = sc->an_rx_buffer[count].an_dma_vaddr;
 
-				m = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+				m = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 				if (m == NULL) {
 					IFNET_STAT_INC(ifp, ierrors, 1);
 					return;
diff --git a/sys/dev/netif/ar/if_ar.c b/sys/dev/netif/ar/if_ar.c
index 6a540bd..c5ae425 100644
--- a/sys/dev/netif/ar/if_ar.c
+++ b/sys/dev/netif/ar/if_ar.c
@@ -1686,7 +1686,7 @@ ar_get_packets(struct ar_softc *sc)
 	while(ar_packet_avail(sc, &len, &rxstat)) {
 		TRC(kprintf("apa: len %d, rxstat %x\n", len, rxstat));
 		if(((rxstat & SCA_DESC_ERRORS) == 0) && (len < MCLBYTES)) {
-			m =  m_getl(len, MB_DONTWAIT, MT_DATA, M_PKTHDR, NULL);
+			m =  m_getl(len, M_NOWAIT, MT_DATA, M_PKTHDR, NULL);
 			if(m == NULL) {
 				/* eat packet if get mbuf fail!! */
 				ar_eat_packet(sc, 1);
diff --git a/sys/dev/netif/ath/ath/if_ath_rx.c b/sys/dev/netif/ath/ath/if_ath_rx.c
index 42bfe07..465c35e 100644
--- a/sys/dev/netif/ath/ath/if_ath_rx.c
+++ b/sys/dev/netif/ath/ath/if_ath_rx.c
@@ -253,7 +253,7 @@ ath_legacy_rxbuf_init(struct ath_softc *sc, struct ath_buf *bf)
 		 * multiple of the cache line size.  Not doing this
 		 * causes weird stuff to happen (for the 5210 at least).
 		 */
-		m = m_getcl(MB_WAIT, MT_DATA, M_PKTHDR);
+		m = m_getcl(M_WAITOK, MT_DATA, M_PKTHDR);
 		if (m == NULL) {
 			DPRINTF(sc, ATH_DEBUG_ANY,
 				"%s: no mbuf/cluster\n", __func__);
diff --git a/sys/dev/netif/ath/ath/if_ath_rx_edma.c b/sys/dev/netif/ath/ath/if_ath_rx_edma.c
index c2e5bd1..c4fb787 100644
--- a/sys/dev/netif/ath/ath/if_ath_rx_edma.c
+++ b/sys/dev/netif/ath/ath/if_ath_rx_edma.c
@@ -612,9 +612,9 @@ ath_edma_rxbuf_init(struct ath_softc *sc, struct ath_buf *bf)
 
 	ATH_RX_LOCK_ASSERT(sc);
 
-	m = m_getjcl(MB_DONTWAIT, MT_DATA, M_PKTHDR, sc->sc_edma_bufsize);
-/*	m = m_getcl(MB_WAIT, MT_DATA, M_PKTHDR);*/
-/*	m = m_getm(NULL, sc->sc_edma_bufsize, MB_WAIT, MT_DATA);*/
+	m = m_getjcl(M_NOWAIT, MT_DATA, M_PKTHDR, sc->sc_edma_bufsize);
+/*	m = m_getcl(M_WAITOK, MT_DATA, M_PKTHDR);*/
+/*	m = m_getm(NULL, sc->sc_edma_bufsize, M_WAITOK, MT_DATA);*/
 	if (! m)
 		return (ENOBUFS);		/* XXX ?*/
 
diff --git a/sys/dev/netif/bce/if_bce.c b/sys/dev/netif/bce/if_bce.c
index 2c6d673..59ac0eb 100644
--- a/sys/dev/netif/bce/if_bce.c
+++ b/sys/dev/netif/bce/if_bce.c
@@ -3867,7 +3867,7 @@ bce_newbuf_std(struct bce_rx_ring *rxr, uint16_t *prod, uint16_t chain_prod,
 	int error, nseg;
 
 	/* This is a new mbuf allocation. */
-	m_new = m_getcl(init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m_new = m_getcl(init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m_new == NULL)
 		return ENOBUFS;
 
diff --git a/sys/dev/netif/bfe/if_bfe.c b/sys/dev/netif/bfe/if_bfe.c
index 7877989..2605b99 100644
--- a/sys/dev/netif/bfe/if_bfe.c
+++ b/sys/dev/netif/bfe/if_bfe.c
@@ -565,7 +565,7 @@ bfe_newbuf(struct bfe_softc *sc, int c, int init)
 	struct mbuf *m;
 	int error, nsegs;
 
-	m = m_getcl(init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL)
 		return ENOBUFS;
 	m->m_len = m->m_pkthdr.len = MCLBYTES;
